<?php
// add category nick names in body and post class
function saasland_post_class( $classes ) {
    global $post;
    if(!has_post_thumbnail()) {
        $classes[] = 'no-post-thumbnail';
    }
    return $classes;
}
add_filter( 'post_class', 'saasland_post_class' );


// Body classes
add_filter( 'body_class', function($classes) {
    $opt = get_option('saasland_opt');
    $shop_view_style = !empty($_GET['view']) ? $_GET['view'] : '';
    $is_header_top = !empty( $opt['is_header_top'] ) ? $opt['is_header_top'] : '';
    if(!has_nav_menu('main_menu')) {
        $classes[] = 'no_main_menu';
    }
    elseif( $shop_view_style == 'grid' ) {
        $classes[] = 'shop_grid';
    }
    elseif( $shop_view_style == 'list' ) {
        $classes[] = 'shop_list';
    }
    elseif( $is_header_top == '1' ) {
        $classes[] = 'header_top_shown';
    }
    elseif( !is_user_logged_in() ) {
        $classes[] = 'not_logged_in';
    }

    return $classes;
});


// Show post excerpt by default
function saasland_show_post_excerpt( $user_login, $user ) {
    $unchecked = get_user_meta( $user->ID, 'metaboxhidden_post', true );
    $key = array_search( 'postexcerpt', $unchecked );
    if ( FALSE !== $key ) {
        array_splice( $unchecked, $key, 1 );
        update_user_meta( $user->ID, 'metaboxhidden_post', $unchecked );
    }
}
add_action( 'wp_login', 'saasland_show_post_excerpt', 10, 2 );


// filter to replace class on reply link
add_filter('comment_reply_link', function($class){
    $class = str_replace("class='comment-reply-link", "class='comment_reply", $class);
    return $class;
});


/**
 * Add a pingback url auto-discovery header for singularly identifiable articles.
 */
function saasland_pingback_header() {
    if ( is_singular() && pings_open() ) {
        echo '<link rel="pingback" href="', esc_url( get_bloginfo( 'pingback_url' ) ), '">';
    }
}
add_action( 'wp_head', 'saasland_pingback_header' );


// Move the comment field to bottom
add_filter( 'comment_form_fields', function ( $fields ) {
    $comment_field = $fields['comment'];
    unset( $fields['comment'] );
    $fields['comment'] = $comment_field;
    return $fields;
});


// Remove WordPress admin bar default CSS
add_action('get_header', function() {
    remove_action('wp_head', '_admin_bar_bump_cb');
});