<?php
/**
 * Template part for displaying posts
 *
 * @link https://codex.wordpress.org/Template_Hierarchy
 *
 * @package saasland
 */

$allowed_html = array(
    'a' => array(
        'href' => array(),
        'title' => array()
    ),
    'br' => array(),
    'em' => array(),
    'strong' => array(),
    'iframe' => array(
        'src' => array(),
    )
);
$opt = get_option('saasland_opt');
$is_post_author = isset($opt['is_post_author']) ? $opt['is_post_author'] : '1';
$is_post_date = isset($opt['is_post_date']) ? $opt['is_post_date'] : '1';
$is_post_cat = isset($opt['is_post_cat']) ? $opt['is_post_cat'] : '';
$read_more = isset($opt['read_more']) ? $opt['read_more'] : esc_html__('Read More', 'saasland');

$quote_author = function_exists('get_field') ? get_field('quote_author_name') : '';
$title = function_exists('get_field') ? get_field('quote') : get_the_title();

$content = trim(get_the_content());
// Make sure content isn't empty

?>

<div <?php post_class('blog_list_item qutoe_post'); ?>>
    <div class="blog_content">
        <i class="fas fa-quote-left"></i>
        <?php
        if (!$content == "") {
            // Take each new line and put into an array (for multiple quotes)
            $quote_array = explode( "\n", $content);
            // Get the first quote and do something with it
            $first_quote = array_shift( $quote_array );
            echo wp_kses_post(wpautop($first_quote));
        }
        ?>
    </div>
</div>